<script src="<?php echo $block->getMethodInstance()->getConfigData('gateway_url')?>/checkout/version/40/checkout.js"
        data-error="errorCallback"
        data-cancel="<?php echo $block->getMethodInstance()->getCheckoutCancelUrl()?>" data-complete="<?php echo $block->getMethodInstance()->getCheckoutSuccessUrl()?>">
</script>

<script type="text/javascript">
    function errorCallback(error) {
        console.log(JSON.stringify(error));
        alert("Payment error : "+JSON.stringify(error));
    }
    function cancelCallback() {
        console.log('Payment cancelled');
    }
    function completeCallback(session,successIndicator)
    {
        console.log("successIndicator",successIndicator);
        console.log("session",session );
    }
    Checkout.configure({
        merchant: '<?php echo $block->getMethodInstance()->getConfigData('merchant_id')?>',
        order: {
            amount:<?php echo $block->getOrder()->getGrandTotal()?>,
            currency: '<?php echo $block->getOrder()->getBaseCurrencyCode()?>',
            description: '<?php echo __('Order #%1', $block->getOrderId())?>',
            id: '<?php echo $block->getOrderId()?>'
        },

        session:{
            id: '<?php echo $block->getMethodInstance()->getHostedCheckoutSessionId()?>'
        },
        interaction: {
            merchant: {
                name: '<?php echo $block->getMethodInstance()->getConfigData('merchant_name')?>'
            },
            displayControl: {
                orderSummary : "READ_ONLY",
                customerEmail: 'HIDE',
                billingAddress: 'HIDE',
                paymentTerms: 'HIDE',
                shipping: 'HIDE'
            }
        },
        billing:{
            address: {
                city:"<?php echo $block->getOrder()->getBillingAddress()->getCity()?>",
                country:"<?php echo $block->getCountryCodeIso3()?>",
                postcodeZip:"<?php echo $block->getOrder()->getBillingAddress()->getPostcode()?>",
                stateProvince:"<?php echo $block->getOrder()->getBillingAddress()->getRegion()?>",
                street:"<?php echo $block->getOrder()->getBillingAddress()->getStreetLine(1)?>",
                street2:"<?php echo $block->getOrder()->getBillingAddress()->getStreetLine(2)?>"
            }

        }

    });

</script>
<input type="button" onclick="Checkout.showPaymentPage();"
       value="<?php echo __('Please click here if you are not automatically redirected after a few seconds...'); ?>"/>
<script type="text/javascript">

    function postTransaction() {
        Checkout.showPaymentPage();
    }
    if (window.addEventListener) {
        window.addEventListener('load', postTransaction, false);
    }else if (window.attachEvent){
        window.attachEvent('onload', postTransaction);
    }else {
        window.onload = postTransaction;
    }

</script>
